
const complotDB = require('../database/ComplotDB');

class DatabaseCommand{
    constructor(client){
        this.client = client;
        this.channel = '892676980699455500';
        this.commandList = '!complot list';
        this.commandAddAction = '!complot add action ';
        this.commandAddReason = '!complot add reason ';
        this.commandAddActor = '!complot add actor ';
        this.commandAddSource = '!complot add source ';
        this.commandAddSentence = '!complot add sentence ';

    }

    parse(message){
        if(message.channelId === this.channel){
            const content = message.content.toLowerCase();
            if(content == this.commandList){
                this.showList(message);
            }else if(content.startsWith(this.commandAddActor)){
                this.addActor(message);
            }else if(content.startsWith(this.commandAddAction)){
                this.addAction(message);
            }else if(content.startsWith(this.commandAddReason)){
                this.addReason(message);
            }else if (content.startsWith(this.commandAddSource)){
                this.addSource(message);
            }else if(content.startsWith(this.commandAddSentence)){
                this.addSentence(message);
            }
        }
    }

    addSource(message){
        const source = message.content.slice(this.commandAddSource.length);
        complotDB.addSource(source);
        message.reply(`"${source}" added to sources`);
    }
    
    addSentence(message){
        const sentence = message.content.slice(this.commandAddSentence.length);
        complotDB.addSentence(sentence);
        message.reply(`"${sentence}" added to sentence`);
    }

    addActor(message){
        const actor = message.content.slice(this.commandAddActor.length);
        complotDB.addActor(actor);
        message.reply(`"${actor}" added to actors`);
    }

    addAction(message){
        const action = message.content.slice(this.commandAddAction.length);
        complotDB.addAction(action);
        message.reply(`"${action}" added to actions`);
    }

    addReason(message){
        const reason = message.content.slice(this.commandAddReason.length);
        complotDB.addReason(reason);
        message.reply(`"${reason}" added to reasons`);
    }

    showList(message){
        message.reply(complotDB.toString());
    }
}

module.exports = DatabaseCommand;